#include <iostream>

using namespace std;

int main()
{
  int N,K,p[20005],l;
  cin>>N>>K;
  for (int i=1; i<=N; i++)
  {
      cin>>p[i];
  }
  if (K==p[N])
  {
      cout<<p[1];
  }
  else
  {
      for (int i=1; i<=N; i++)
      {
          if (p[i]==K)
          {
              l=i;
          }
      }
      cout<<p[l+1];
  }
}